SnowballFilter (Lucene 2.4.1 API)
Keywords: org.apache.lucene.analysis.snowball.SnowballFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.snowball
Class SnowballFilter

    java.lang.Object
      org.apache.lucene.analysis.TokenStream
          org.apache.lucene.analysis.TokenFilter
              org.apache.lucene.analysis.snowball.SnowballFilter

    public class SnowballFilter

extends TokenFilter

A filter that stems words using a Snowball-generated stemmer. Available stemmers are listed in `org.tartarus.snowball.ext`.

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`SnowballFilter(TokenStream input, SnowballProgram stemmer)`
`SnowballFilter(TokenStream in, String name)` Construct the named stemming filter.

Method Summary
`Token` | `next(Token reusableToken)` Returns the next input Token, after being stemmed

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`next`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnowballFilter

    public SnowballFilter(TokenStream input,
                          SnowballProgram stemmer)

### SnowballFilter

    public SnowballFilter(TokenStream in,
                          String name)

  Construct the named stemming filter. Available stemmers are listed in `org.tartarus.snowball.ext`. The name of a stemmer is the part of the class name before "Stemmer", e.g., the stemmer in `EnglishStemmer` is named "English".

  Parameters:
    `in` - the input tokens to stem
    `name` - the name of a stemmer

Method Detail

### next

    public final Token next(Token reusableToken)
                     throws IOException

  Returns the next input Token, after being stemmed

  Overrides:
    `next` in class `TokenStream`
  Parameters:
    `reusableToken` - a Token that may or may not be used to return; this parameter should never be null (the callee is not required to check for null before using it, but it is a good idea to assert that it is not null.)
  Returns:
    next token in the stream or null if end-of-stream was hit
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.